Bug 1033600 (CVE-2013-6381)

Summary: CVE-2013-6381 Kernel: qeth: buffer overflow in snmp ioctl
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: dhoward, gbarros, hannsj_uhl, jrusnack, pmatouse, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20131122,reported=20131120,source=distros,cvss2=6.2/AV:L/AC:H/Au:N/C:C/I:C/A:C,rhel-5/kernel=affected,rhel-6/kernel=affected,rhel-7/kernel=notaffected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=notaffected,rhel-6.4.z/kernel=affected,rhel-5.9.z/kernel=affected,cwe=CWE-119
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-10 07:51:06 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 1029890, 1034266, 1034402, 1034404, 1034405, 1034406, 1034408, 1038935, 1052832, 1073805    
Bug Blocks: 1033597    

Description Prasad J Pandit 2013-11-22 08:05:20 EST
Linux kernel built with a Gigabit Ethernet device support(CONFIG_QETH) is
vulnerable to a buffer overflow flaw. It could occur while doing an
ioctl(SIOC_QETH_ADP_SET_SNMP_CONTROL) call.

A user/program could use this flaw to crash the kernel resulting in DoS or 
potentially escalate user privileges on a system.

Upstream fix:
-------------
 -> http://git.kernel.org/linus/6fb392b1a63ae36c31f62bc3fc8630b49d602b62

Reference:
----------
 -> http://seclists.org/oss-sec/2013/q4/330
Comment 1 Prasad J Pandit 2013-11-25 13:43:54 EST
Statement:

This issue does not affect the version of the kernel package as shipped with
Red Hat Enterprise MRG 2.

Please note that this issue only affects s390x architecture.
Comment 4 errata-xmlrpc 2014-02-11 13:16:26 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0159 https://rhn.redhat.com/errata/RHSA-2014-0159.html
Comment 6 errata-xmlrpc 2014-03-11 13:08:35 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2014:0284 https://rhn.redhat.com/errata/RHSA-2014-0284.html
Comment 7 errata-xmlrpc 2014-03-12 14:30:00 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0285 https://rhn.redhat.com/errata/RHSA-2014-0285.html
Comment 8 errata-xmlrpc 2014-05-07 15:08:21 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.9 EUS - Server Only

Via RHSA-2014:0476 https://rhn.redhat.com/errata/RHSA-2014-0476.html